# Uses of Interface
com.sun.jdi.LocalVariable

Packages that use LocalVariable
Package
Description
com.sun.jdi
This is the core package of the Java Debug Interface (JDI), it defines mirrors for values, types, and the target VirtualMachine itself - as well bootstrapping facilities.

## Uses of LocalVariable in com.sun.jdi

Subinterfaces with type arguments of type LocalVariable in com.sun.jdi
Modifier and Type
Interface
Description
`interface`
`LocalVariable`
A local variable in the target VM.
Methods in com.sun.jdi that return LocalVariable
Modifier and Type
Method
Description
`LocalVariable`
StackFrame.`visibleVariableByName(String name)`
Finds a `LocalVariable` that matches the given name and is visible at the current frame location.
Methods in com.sun.jdi that return types with arguments of type LocalVariable
Modifier and Type
Method
Description
`List<LocalVariable>`
Method.`arguments()`
Returns a list containing each `LocalVariable` that is declared as an argument of this method.
`Map<LocalVariable, Value>`
StackFrame.`getValues(List<? extends LocalVariable> variables)`
Returns the values of multiple local variables in this frame.
`List<LocalVariable>`
Method.`variables()`
Returns a list containing each `LocalVariable` declared in this method.
`List<LocalVariable>`
Method.`variablesByName(String name)`
Returns a list containing each `LocalVariable` of a given name in this method.
`List<LocalVariable>`
StackFrame.`visibleVariables()`
Returns a list containing each `LocalVariable` that can be accessed from this frame's location.
Methods in com.sun.jdi with parameters of type LocalVariable
Modifier and Type
Method
Description
`Value`
StackFrame.`getValue(LocalVariable variable)`
Gets the `Value` of a `LocalVariable` in this frame.
`void`
StackFrame.`setValue(LocalVariable variable, Value value)`
Sets the `Value` of a `LocalVariable` in this frame.
Method parameters in com.sun.jdi with type arguments of type LocalVariable
Modifier and Type
Method
Description
`Map<LocalVariable, Value>`
StackFrame.`getValues(List<? extends LocalVariable> variables)`
Returns the values of multiple local variables in this frame.